Subject: bug#24340: insert-file-contents calls before-change-functions too late

From: Eli Zaretskii <[email-masked]>
Date: Sun, 02 Oct 2016 10:19:05 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 01 Oct 2016 21:11:34 -0400
> 
> > Since I believe master will be used for 25.2, we cannot currently push
> > anything that must wait for 26.
> 
> Now that master has been labeled "for 26.1", can we push a patch to it?
> I'd happily push my patch to it, but if you prefer a different approach,
> feel free to push another patch there instead.

I'm okay with your patch only if you promise to be there for fixing
any fallout.  It scares me quite a lot, especially the fact that it
fixes a single use case by making broad changes across the board.

Once again, my suggestion is instead to announce a change in the
entire buffer, as that is what revert-buffer is all about.